### Function

# FwupdPlugin strjoin

#### Declaration [src]

    gchar*
    fu_strjoin (
      const gchar* separator,
      GPtrArray* array
    )

#### Description [src]

Joins an array of strings together to form one long string, with the optional separator inserted between each of them.

If `array` has no items, the return value will be an empty string. If `array` contains a single item, separator will not appear in the resulting string.

Available since: | 1.8.2

#### Parameters

`separator` | `const gchar*`
| String to insert between each of the strings.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`array` | An array of `utf8`
| A `GPtrArray`.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| A string.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.